Bug 2075361 - Transmission will not run after upgrade to Fedora 36 Beta because of missing shared libraries libssl.so.1.1 and libcrypto.so.1.1
Summary: Transmission will not run after upgrade to Fedora 36 Beta because of missing ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 36
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 2021895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-14 01:11 UTC by Brenden Wood
Modified: 2022-08-24 20:31 UTC (History)
7 users (show)

Fixed In Version: transmission-3.00-13.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 20:31:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Brenden Wood 2022-04-14 01:11:09 UTC
Description of problem:

After upgrading to Fedora 36 Beta, I cannot run Transmission due to missing libraries. It appears the libssl.so.1.1 and libcrypto.so.1.1 libraries are not found by Transmission.

[woody@woody-ryzen-linux ~]$ transmission-create --help
transmission-create: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory

[woody@woody-ryzen-linux ~]$ sudo ldd /usr/bin/transmission-create 
	linux-vdso.so.1 (0x00007ffe3cfd8000)
	libnatpmp.so.1 => /lib64/libnatpmp.so.1 (0x00007fa56d6b4000)
	libevent-2.1.so.7 => /lib64/libevent-2.1.so.7 (0x00007fa56d65b000)
	libcurl.so.4 => /lib64/libcurl.so.4 (0x00007fa56d5b3000)
	libssl.so.1.1 => not found
	libcrypto.so.1.1 => not found
...



Version-Release number of selected component (if applicable):
transmission-3.00-9.fc35.x86_64


How reproducible:
Install transmission package with dnf
Run `transmission-create --help` or `transmission-gtk`


Steps to Reproduce:
See above

Actual results:
transmission-create: error while loading shared libraries: libssl.so.1.1: cannot open shared object file: No such file or directory

Expected results:
Transmission runs.


Additional info:
Running Fedora 36 beta upgraded from Fedora 35.

Comment 1 Otto Liljalaakso 2022-08-21 19:03:58 UTC
Does it work for you now? It does on my Fedora 36 machine.
THe missing libraries are provided by openssl1.1 package.

Comment 2 Brenden Wood 2022-08-21 21:37:12 UTC
Hi,

This did work for me after I installed the openssl1.1 package. However, at the time, Transmission did not depend on the openssl1.1 package.

I don't have a Fedora box with me right now to test if this has changed, but IF the dependency is solved now, then I'd consider this one fixed. Otherwise, I think openssl1.1 probably needs to be a dependency of the Transmission RPM package.

Comment 3 Fedora Update System 2022-08-22 15:44:41 UTC
FEDORA-2022-740fc91db3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-740fc91db3

Comment 4 Fedora Update System 2022-08-23 01:16:28 UTC
FEDORA-2022-740fc91db3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-740fc91db3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-740fc91db3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-08-24 20:31:24 UTC
FEDORA-2022-740fc91db3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.